Skip to main content
GET
/
v1
/
webhooks
/
{webhook_id}
/
stats
Delivery Stats
curl --request GET \
  --url https://karibu.briq.tz/v1/webhooks/{webhook_id}/stats \
  --header 'X-API-Key: <api-key>'
{
  "webhook_id": "<string>",
  "since": "2023-11-07T05:31:56Z",
  "total": 123,
  "by_status": {},
  "by_event": {}
}

Authorizations

X-API-Key
string
header
required

Headers

X-API-Key
string
required

Path Parameters

webhook_id
string
required

Query Parameters

since
string<date-time> | null

Start of the stats window. Defaults to 7 days ago.

Response

Successful Response

Aggregated delivery outcome counts for a webhook.

webhook_id
string
required
since
string<date-time>
required

Start of the stats window (UTC).

total
integer
required

Total delivery attempts in the window.

by_status
By Status · object
required

Count per delivery status.

by_event
By Event · object
required

Count per event name.